<template>
  <a-modal
    :width="280"
    :visible="visible"
    :maskClosable="false"
    :confirmLoading="confirmLoading"
    @ok="handleCancel"
    @cancel="handleCancel"
    cancelText="关闭">

    <a-spin :spinning="confirmLoading">
      <a-form-model ref="form" :model="model">
        <a-form-model-item
          :labelCol="labelCol"
          :wrapperCol="wrapperCol"
          prop="relatedEquipment">
          <div style="display: flex; align-items: center;">
            <div id="qrCodeUrl" style="align-items: center;height:200px"></div>
          </div>
        </a-form-model-item>

      </a-form-model>
    </a-spin>
  </a-modal>
</template>

<script>
  import { httpAction } from '@/api/manage'
  import JDictSelectTag from '@/components/dict/JDictSelectTag'
  import QRCode from 'qrcodejs2';

  let validatorCodeTimer = null

  export default {
    name: 'SysPositionModal',
    components: { JDictSelectTag },
    data() {
      return {
        title: '操作',
        visible: false,
        model: {},
        labelCol: {
          xs: { span: 24 },
          sm: { span: 5 },
        },
        wrapperCol: {
          xs: { span: 24 },
          sm: { span: 16 },
        },
        confirmLoading: false,
        readOnly:false
      }
    },
    created() {
    },
    methods: {
      edit(code) {
        this.visible = true
        this.$nextTick(function () {
            document.getElementById("qrCodeUrl").innerHTML = "";
            const  qrCodeUrl1 = new QRCode("qrCodeUrl", {
              width: 230,
              height: 230,
              text: code,
              colorDark: "#000000",
              colorLight: "#ffffff",
            });
            const divElement = document.getElementById('qrCodeUrl');

              // 在 div 元素下找到 img 元素
              const imgElement = divElement.querySelector('img');

              // 获取 img 元素的 src 属性
              imgElement.onload = function() {
                console.log(imgElement.src);
              };

              imgElement.src = imgElement.src; // 触发加载

          });
      },
      close() {
        this.$emit('close')
        this.visible = false
        this.$refs.form.resetFields();
      },
      handleOk() {
        const that = this
        // 触发表单验证
        this.$refs.form.validate(valid => {
          if (valid) {
            that.confirmLoading = true
            let httpurl = ''
            let method = ''
            if (!this.model.id) {
              httpurl += this.url.add
              method = 'post'
            } else {
              httpurl += this.url.edit
              method = 'put'
            }

            httpAction(httpurl, this.model, method).then((res) => {
              if (res.success) {
                that.$message.success(res.message)
                that.$emit('ok')
              } else {
                that.$message.warning(res.message)
              }
            }).finally(() => {
              that.confirmLoading = false
              that.close()
            })
          }else{
            return false;
          }
        })
      },
      handleCancel() {
        this.close()
      },


    }
  }
</script>

<style lang="less" scoped>
.ant-modal-footer  {
     text-align: center !important;
}
.ant-modal-confirm .ant-modal-confirm-btns {
  text-align: center !important;
}

div.ant-modal-footer {
  text-align: center !important;
}
</style>
